nxt.peer

## Interface Peer

- All Superinterfaces:
    java.lang.Comparable<Peer>

      public interface Peer
      extends java.lang.Comparable<Peer>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Peer.BlockchainState`
    `static class` | `Peer.Service`
    `static class` | `Peer.State`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `blacklist(java.lang.Exception cause)`
    `void` | `blacklist(java.lang.String cause)`
    `void` | `deactivate()`
    `java.lang.String` | `getAnnouncedAddress()`
    `int` | `getApiPort()`
    `int` | `getApiServerIdleTimeout()`
    `int` | `getApiSSLPort()`
    `java.lang.String` | `getApplication()`
    `java.lang.String` | `getBlacklistingCause()`
    `Peer.BlockchainState` | `getBlockchainState()`
    `java.util.Set<APIEnum>` | `getDisabledAPIs()`
    `long` | `getDownloadedVolume()`
    `Hallmark` | `getHallmark()`
    `java.lang.String` | `getHost()`
    `int` | `getLastConnectAttempt()`
    `int` | `getLastUpdated()`
    `java.lang.StringBuilder` | `getPeerApiUri()`
    `java.lang.String` | `getPlatform()`
    `int` | `getPort()`
    `java.lang.String` | `getSoftware()`
    `Peer.State` | `getState()`
    `long` | `getUploadedVolume()`
    `java.lang.String` | `getVersion()`
    `int` | `getWeight()`
    `boolean` | `isApiConnectable()`
    `boolean` | `isBlacklisted()`
    `boolean` | `isInbound()`
    `boolean` | `isInboundWebSocket()`
    `boolean` | `isOpenAPI()`
    `boolean` | `isOutboundWebSocket()`
    `boolean` | `providesService(Peer.Service service)`
    `boolean` | `providesServices(long services)`
    `void` | `remove()`
    `org.json.simple.JSONObject` | `send(org.json.simple.JSONStreamAware request)`
    `org.json.simple.JSONObject` | `send(org.json.simple.JSONStreamAware request, int maxResponseSize)`
    `boolean` | `shareAddress()`
    `void` | `unBlacklist()`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Method Detail

    - #### providesService

          boolean providesService(Peer.Service service)

    - #### providesServices

          boolean providesServices(long services)

    - #### getHost

          java.lang.String getHost()

    - #### getPort

          int getPort()

    - #### getAnnouncedAddress

          java.lang.String getAnnouncedAddress()

    - #### getState

          Peer.State getState()

    - #### getVersion

          java.lang.String getVersion()

    - #### getApplication

          java.lang.String getApplication()

    - #### getPlatform

          java.lang.String getPlatform()

    - #### getSoftware

          java.lang.String getSoftware()

    - #### getApiPort

          int getApiPort()

    - #### getApiSSLPort

          int getApiSSLPort()

    - #### getDisabledAPIs

          java.util.Set<APIEnum> getDisabledAPIs()

    - #### getApiServerIdleTimeout

          int getApiServerIdleTimeout()

    - #### getBlockchainState

          Peer.BlockchainState getBlockchainState()

    - #### getHallmark

          Hallmark getHallmark()

    - #### getWeight

          int getWeight()

    - #### shareAddress

          boolean shareAddress()

    - #### isBlacklisted

          boolean isBlacklisted()

    - #### blacklist

          void blacklist(java.lang.Exception cause)

    - #### blacklist

          void blacklist(java.lang.String cause)

    - #### unBlacklist

          void unBlacklist()

    - #### deactivate

          void deactivate()

    - #### remove

          void remove()

    - #### getDownloadedVolume

          long getDownloadedVolume()

    - #### getUploadedVolume

          long getUploadedVolume()

    - #### getLastUpdated

          int getLastUpdated()

    - #### getLastConnectAttempt

          int getLastConnectAttempt()

    - #### isInbound

          boolean isInbound()

    - #### isInboundWebSocket

          boolean isInboundWebSocket()

    - #### isOutboundWebSocket

          boolean isOutboundWebSocket()

    - #### isOpenAPI

          boolean isOpenAPI()

    - #### isApiConnectable

          boolean isApiConnectable()

    - #### getPeerApiUri

          java.lang.StringBuilder getPeerApiUri()

    - #### getBlacklistingCause

          java.lang.String getBlacklistingCause()

    - #### send

          org.json.simple.JSONObject send(org.json.simple.JSONStreamAware request)

    - #### send

          org.json.simple.JSONObject send(org.json.simple.JSONStreamAware request,
                                          int maxResponseSize)